create_video_bitmap(3)

NAME
create_video_bitmap - Creates a video memory bitmap. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

BITMAP *create_video_bitmap(int width, int height);

DESCRIPTION
Allocates a video memory bitmap of the specified size. This can be used to allocate offscreen video memory for storing source graphics ready for a hardware accelerated blitting operation, or to create multiple video memory pages which can then be displayed by calling show_video_bitmap(). Read the introduction of this chapter for a comparison with other types of bitmaps and other specific details. Warning: video memory bitmaps are usually allocated from the same space as the screen bitmap, so they may overlap with it; it is therefore not a good idea to use the global screen at the same time as any surfaces returned by this function.

RETURN VALUE
Returns a pointer to the bitmap on success, or NULL if you have run out of video ram. Remember to destroy this bitmap before any subsequent call to set_gfx_mode().

SEE ALSO
create_bitmap(3), create_bitmap_ex(3), create_system_bitmap(3), create_sub_bitmap(3), destroy_bitmap(3), screen(3), show_video_bitmap(3), gfx_capabilities(3), is_video_bitmap(3), clear_bitmap(3), clear_to_color(3), ex3buf(3), exaccel(3), exflip(3), exupdate(3)